# $Revision: 1.11 $, $Date: 2004/04/10 23:25:54 $
%define snap	2004.03.26
%define name	reiser4progs
%define version 0.5.5
%define release 1mdk

%define major 5
%define libname %mklibname %{name} %{major}
%define libdev %{libname}-devel
%define libsta %{libname}-static-devel


Summary:	Utilities belonging to the Reiser4 filesystem
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Applications/System
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	8a14be41aafba9a55a04d3a31cd107e5
Patch0:		%{name}-acfix.patch.bz2
Patch1:		%{name}-opt.patch.bz2
Patch2:		%{name}-am18.patch.bz2
URL:		http://www.reiserfs.org/http://www.namesys.com/snapshots/%{snap}
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libaal2-devel >= 0.5.2
BuildRequires:	libtool >= 1.4.2
#BuildRequires:	libuuid-devel #ext2-devel ?
BuildRequires:	readline-devel
Requires:	%{libname} = %{version}
Obsoletes:	reiserfs-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}

%define		_sbindir	/sbin

%description
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms. The results when
compared to the ext2fs conventional block allocation based file system
running under the same operating system and employing the same
buffering code suggest that these algorithms are overall more
efficient, and are becoming more so every passing month. Loosely
speaking, every month we find another performance cranny that needs
work, and we fix it, and every month we find some way of improving our
overall general usage performance. The improvement in small file space
and time performance suggests that we may now revisit a common OS
design assumption that one should aggregate small objects using layers
above the file system layer. Being more effective at small files DOES
NOT make us less effective for other files, this is a general purpose
FS, and our overall traditional FS usage performance is high enough to
establish that. Reiserfs has a commitment to opening up the FS design
to contributions, and we are now now adding plug-ins so that you can
create your own types of directories and files.



%package -n %{libname}
Summary:	Libraries needed by reiser4progs
Group:		System/Libraries
Requires:	libaal2 >= 0.5.2

%description -n %{libname}
Libraries needed by reiser4progs.

%package -n %{libdev}
Summary:	Header files for reiser4progs libraries
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Requires:	libaal2-devel >= 0.5.2

%description -n %{libdev}
Header files for reiser4progs libraries.


%package -n %{libsta}
Summary:	Static reiser4progs libraries
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Requires:	libaal2-static-devel >= 0.5.2

%description -n %{libsta}
Static reiser4progs libraries.


%prep
%setup -q
#patch0 -p1
%patch1 -p1
%patch2 -p1

%build
libtoolize --force
aclocal
autoheader
autoconf
automake
%configure \
	%{!?debug:--disable-debug}
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
#%{__make} install \
#	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains information other than GPL text
%doc AUTHORS BUGS COPYING CREDITS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man*/*

%files -n %{libname}
%doc AUTHORS BUGS COPYING CREDITS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n %{libdev}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_datadir}/aclocal/*.m4

%files -n %{libsta}
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%changelog
* Tue Jun 18 2004 Svetoslav Slavtchev <svetljo@gmx.de> 0.5.5-1mdk
- 0.5.5
- re-add static package

* Sat Jun 12 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5.4-1thac
- Built for Mandrake 10.0 official

